tigase.jaxmpp.j2se.connectors.socket

## Class SocketXmppSessionLogic

- java.lang.Object
- - tigase.jaxmpp.core.client.connector.AbstractSocketXmppSessionLogic<SocketConnector>
  - - tigase.jaxmpp.j2se.connectors.socket.SocketXmppSessionLogic

- All Implemented Interfaces:
    EventHandler, StreamManagementModule.StreamManagementFailedHandler, StreamManagementModule.StreamResumedHandler, XmppSessionLogic

      public class SocketXmppSessionLogic
      extends AbstractSocketXmppSessionLogic<SocketConnector>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface tigase.jaxmpp.core.client.XmppSessionLogic

      `XmppSessionLogic.SessionListener, XmppSessionLogic.XmppSessionEstablishedHandler`

    - ### Nested classes/interfaces inherited from interface tigase.jaxmpp.core.client.xmpp.modules.streammng.StreamManagementModule.StreamManagementFailedHandler

      `StreamManagementModule.StreamManagementFailedHandler.StreamManagementFailedEvent`

    - ### Nested classes/interfaces inherited from interface tigase.jaxmpp.core.client.xmpp.modules.streammng.StreamManagementModule.StreamResumedHandler

      `StreamManagementModule.StreamResumedHandler.StreamResumedEvent`

  - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.connector.AbstractSocketXmppSessionLogic

      `connector, context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocketXmppSessionLogic(SocketConnector connector, XmppModulesManager modulesManager, Context context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onStreamManagementFailed(SessionObject sessionObject, XMPPException.ErrorCondition condition)`
    `protected void` | `processStreamFeatures(Element featuresElement)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.connector.AbstractSocketXmppSessionLogic

      `beforeStart, onStreamResumed, processAuthFailed, processAuthSuccess, processConnectorErrors, processException, processResourceBindEvent, setSessionListener, unbind`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SocketXmppSessionLogic

          public SocketXmppSessionLogic(SocketConnector connector,
                                        XmppModulesManager modulesManager,
                                        Context context)

  - ### Method Detail

    - #### onStreamManagementFailed

          public void onStreamManagementFailed(SessionObject sessionObject,
                                               XMPPException.ErrorCondition condition)

      Specified by:
        `onStreamManagementFailed` in interface `StreamManagementModule.StreamManagementFailedHandler`
      Overrides:
        `onStreamManagementFailed` in class `AbstractSocketXmppSessionLogic<SocketConnector>`

    - #### processStreamFeatures

          protected void processStreamFeatures(Element featuresElement)
                                        throws JaxmppException

      Overrides:
        `processStreamFeatures` in class `AbstractSocketXmppSessionLogic<SocketConnector>`
      Throws:
        `JaxmppException`

Copyright © 2006–2019 Tigase. All rights reserved.